package pathgame.algorithm;

import java.util.ArrayList;

public class ExtraPath {
    private int pathWeight;
    private int destX, destY;
    private ArrayList<Coord> pathCoords;

    public ExtraPath(int destX, int destY, int pathWeight, ArrayList<Coord> pathCoords) {
        this.destX = destX;
        this.destY = destY;
        this.pathWeight = pathWeight;
        this.pathCoords = pathCoords;
    }

    public int getDestX() {
        return destX;
    }

    public void setDestX(int destX) {
        this.destX = destX;
    }

    public int getDestY() {
        return destY;
    }

    public void setDestY(int destY) {
        this.destY = destY;
    }

    public int getPathWeight() {
        return pathWeight;
    }

    public void setPathWeight(int pathWeight) {
        this.pathWeight = pathWeight;
    }

    public ArrayList<Coord> getPathCoords() {
        return pathCoords;
    }
}
